# GimpUi.ProcedureDialog.prototype.fill_scrolled_window

    function fill_scrolled_window(container_id: String, contents_id: String): Gtk.Widget {
        // Gjs wrapper for gimp_procedure_dialog_fill_scrolled_window()
    }

Creates and populates a new Gtk.ScrolledWindow with a widget corresponding to the declared content id.

The container_id must be a unique ID which is neither the name of a property of the Gimp.ProcedureConfig associated to dialog, nor is it the ID of any previously created container. This ID can later be used together with property names to be packed in other containers or inside dialog itself.

container_id

  a container identifier.

contents_id

  The identifier for the contents.

Returns

  the Gtk.ScrolledWindow representing contents_id. The object belongs to dialog and must not be freed.